<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: services_admin.php
| Version: 2.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by tasking the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("SER") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";

require_once INCLUDES."bbcode_include.php";

global $settings;

if (file_exists(INFUSIONS."services_panel/locale/".$settings['locale'].".php")) {
		include INFUSIONS."services_panel/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."services_panel/locale/English.php";
	}
	
	include INFUSIONS."services_panel/infusion_db.php";
	

add_to_title($locale['global_200'].$locale['ser_title']);

	add_to_head("<style type='text/css'>
		.admin-img {
		padding-left: 5px;
		border: 0px;
		}
		.ser-img {
		vertical-align:middle; border: 0px;
		opacity:0.6;
		filter:alpha(opacity=60); /* For IE8 and earlier */
		}
		.ser-img:hover {
		vertical-align:middle; border: 0px;
		opacity:1.0;
		filter:alpha(opacity=100); /* For IE8 and earlier */
		}
		</style>");
		
		if (isset($_GET['status']) && !isset($message)) {
				if ($_GET['status'] == "del") {
					$message = "<strong>".$locale['ser_012']."</strong>";
				} elseif ($_GET['status'] == "go") {
					$message = "<strong>".$locale['ser_013']."</strong>";
				} elseif ($_GET['status'] == "edit") {
					$message = "<strong>".$locale['ser_014']."</strong>";
				}
				if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
			}
			
		
		if (isset($_GET['statusb']) && !isset($messageb)) {
				if ($_GET['statusb'] == "su") {
					$messageb = $locale['ser_002'];
				} elseif ($_GET['statusb'] == "nsu") {
					$messageb = $locale['ser_003'];
				}
					if ($messageb) {	echo "<div id='close-message'><div class='admin-message'>".$messageb."</div></div>\n"; }
			}

		if (isset($_POST['save'])) {
			$result = dbquery("UPDATE ".DB_SERVICES_SETTINGS." SET  
			service_enable='".(isNum($_POST['service_enable']) ? $_POST['service_enable'] : "0")."',
			service_panelcap='".(isNum($_POST['service_panelcap']) ? $_POST['service_panelcap'] : "0")."',
			service_intro='".addslash($_POST['service_intro'])."',
			service_item1_name ='".stripinput($_POST['service_item1_name'])."',
			service_item2_name ='".stripinput($_POST['service_item2_name'])."',
			service_item3_name ='".stripinput($_POST['service_item3_name'])."',
			service_item1_price='".addslash($_POST['service_item1_price'])."',
			service_item2_price='".addslash($_POST['service_item2_price'])."',
			service_item3_price='".addslash($_POST['service_item3_price'])."',
			service_gradient1_start='".addslash($_POST['service_gradient1_start'])."',
			service_gradient1_end='".addslash($_POST['service_gradient1_end'])."',
			service_table_colour='".addslash($_POST['service_table_colour'])."',
			service_font_colour1='".addslash($_POST['service_font_colour1'])."',
			service_font_shadow_colour='".addslash($_POST['service_font_shadow_colour'])."',
			service_font_colour2='".addslash($_POST['service_font_colour2'])."',
			service_tbody_td_colour='".addslash($_POST['service_tbody_td_colour'])."',
			service_price_colour='".addslash($_POST['service_price_colour'])."',
			service_price_shadow_colour='".addslash($_POST['service_price_shadow_colour'])."',
			service_price_hover_colour='".addslash($_POST['service_price_hover_colour'])."',
			service_price_shadow_hover_colour='".addslash($_POST['service_price_shadow_hover_colour'])."'
			");	

		if (!$result) { 
			redirect(FUSION_SELF.$aidlink."&statusb=nsu");
			} else {
			redirect(FUSION_SELF.$aidlink."&statusb=su");
			}
		}

			$services_settings = dbarray(dbquery("SELECT * FROM ".DB_SERVICES_SETTINGS));
			$service_enable = isNum(stripinput($services_settings['service_enable']));
			$service_panelcap = isNum(stripinput($services_settings['service_panelcap']));
			$service_intro = stripinput($services_settings['service_intro']);
			$service_item1_name =  stripinput($services_settings['service_item1_name']);
			$service_item2_name = stripinput($services_settings['service_item2_name']);
			$service_item3_name = stripinput($services_settings['service_item3_name']);
			$service_item1_price = stripinput($services_settings['service_item1_price']);
			$service_item2_price = stripinput($services_settings['service_item2_price']);
			$service_item3_price = stripinput($services_settings['service_item3_price']);
			$service_gradient1_start = stripinput($services_settings['service_gradient1_start']);
			$service_gradient1_end = stripinput($services_settings['service_gradient1_end']);
			$service_table_colour = stripinput($services_settings['service_table_colour']);
			$service_font_colour1 = stripinput($services_settings['service_font_colour1']);
			$service_font_shadow_colour = stripinput($services_settings['service_font_shadow_colour']);
			$service_font_colour2 = stripinput($services_settings['service_font_colour2']);
			$service_tbody_td_colour = stripinput($services_settings['service_tbody_td_colour']);
			$service_price_colour = stripinput($services_settings['service_price_colour']);
			$service_price_shadow_colour = stripinput($services_settings['service_price_shadow_colour']);
			$service_price_hover_colour = stripinput($services_settings['service_price_hover_colour']);
			$service_price_shadow_hover_colour = stripinput($services_settings['service_price_shadow_hover_colour']);
			$forma_title = $locale['ser_004'];
		
		add_to_head("<script type='text/javascript' src='".INFUSIONS."services_panel/includes/jscolor/jscolor.js'></script>");

		opentable($forma_title);
		echo "<form name='services_settings_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='600'  class='tbl-border center' >\n<tr>\n";
		echo "<td  class='tbl' width='50%' align='left'>".$locale['ser_005'].":</td>\n";
		echo "<td  class='tbl'><select name='service_enable' class='textbox'>\n";
		echo "<option value='0'".($services_settings['service_enable'] == "0" ? " selected='selected'" : "").">".$locale['ser_006']."</option>\n";
		echo "<option value='1'".($services_settings['service_enable'] == "1" ? " selected='selected'" : "").">".$locale['ser_007']."</option>\n";
		echo "</select> ".(($services_settings['service_enable'] == "0") ? "<img class='admin-img' src='".INFUSIONS."services_panel/images/off.png' alt='".$locale['ser_009']."' title='".$locale['ser_009']."' />" : "<img class='admin-img' src='".INFUSIONS."services_panel/images/on.png' alt='".$locale['ser_008']."' title='".$locale['ser_008']."' />")."";
		echo "</tr><tr>";
		echo "<td  class='tbl' width='50%' align='left'>".$locale['ser_041'].":</td>\n";
		echo "<td  class='tbl'><select name='service_panelcap' class='textbox'>\n";
		echo "<option value='0'".($services_settings['service_panelcap'] == "0" ? " selected='selected'" : "").">".$locale['ser_006']."</option>\n";
		echo "<option value='1'".($services_settings['service_panelcap'] == "1" ? " selected='selected'" : "").">".$locale['ser_007']."</option>\n";
		echo "</select> ".(($services_settings['service_panelcap'] == "0") ? "<img class='admin-img' src='".INFUSIONS."services_panel/images/off.png' alt='".$locale['ser_009']."' title='".$locale['ser_009']."' />" : "<img class='admin-img' src='".INFUSIONS."services_panel/images/on.png' alt='".$locale['ser_008']."' title='".$locale['ser_008']."' />")."";
		echo "</tr><tr>";
		echo "<td class='tbl'>".$locale['ser_018']." 1 ".$locale['ser_019'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='service_item1_name' value='".$service_item1_name."' class='textbox' style='width:300px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['ser_018']." 2 ".$locale['ser_019'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='service_item2_name' value='".$service_item2_name."' class='textbox' style='width:300px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['ser_018']." 3 ".$locale['ser_019'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='service_item3_name' value='".$service_item3_name."' class='textbox' style='width:300px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo"<td style='vertical-align: top;' class='tbl'>".$locale['ser_010'].":</td>\n";
		echo "<td class='tbl'><textarea name='service_intro' cols='60' rows='5'  class='textbox' style='width:400px;'>$service_intro</textarea><br />\n";
		echo display_bbcodes("400px;", "service_intro", "services_settings_form", "color|b|i|u|small|url")."\n";
		echo "</td>\n</tr><tr>\n";
		echo "<td class='tbl'>".$services_settings['service_item1_name']." ".$locale['ser_028'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='service_item1_price' value='".$service_item1_price."' maxlength='8' class='textbox' style='width:300px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$services_settings['service_item2_name']." ".$locale['ser_028'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='service_item2_price' value='".$service_item2_price."' maxlength='8' class='textbox' style='width:300px;' /></td>\n";
		echo "</tr>\n";
		echo "<tr><td class='tbl'>".$services_settings['service_item3_name']." ".$locale['ser_028'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='service_item3_price' value='".$service_item3_price."' maxlength='8' class='textbox' style='width:300px;' /></td></tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_029'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_table_colour' value='".$service_table_colour."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_030'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_gradient1_start' value='".$service_gradient1_start."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_031'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_gradient1_end' value='".$service_gradient1_end."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_032'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_font_colour1' value='".$service_font_colour1."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_038'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_font_shadow_colour' value='".$service_font_shadow_colour."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_039'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_font_colour2' value='".$service_font_colour2."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_033'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_tbody_td_colour' value='".$service_tbody_td_colour."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_034'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_price_colour' value='".$service_price_colour."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_035'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_price_shadow_colour' value='".$service_price_shadow_colour."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_036'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_price_hover_colour' value='".$service_price_hover_colour."'/></td>\n";
		echo "</tr>\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['ser_037'].":</td>";
		echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='service_price_shadow_hover_colour' value='".$service_price_shadow_hover_colour."'/></td>\n";
		echo "</tr>\n";
		echo"</table>\n";
		echo "<table cellpadding='0' cellspacing='0' width='600' class='center'>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' class='button' name='save' value='".$locale['ser_011']."' />\n";
		echo "</td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		closetable();

	

				$service_name ="";
				$service_item1 ="";
				$service_item2 = "";
				$service_item3 = "";


			if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['service_id']) && isnum($_GET['service_id']))) {
				$result = dbquery("DELETE FROM ".DB_SERVICES." WHERE service_id='".$_GET['service_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=del");
				} else {
			if (isset($_POST['go'])) {
					$service_name = stripinput($_POST['service_name']);
					$service_item1 = isNum($_POST['service_item1']) ? $_POST['service_item1'] : "0";
					$service_item2 = isNum($_POST['service_item2']) ? $_POST['service_item2'] : "0";
					$service_item3 = isNum($_POST['service_item3']) ? $_POST['service_item3'] : "0";
					}
					
			if ($service_name) {
				if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['service_id']) && isnum($_GET['service_id']))) {
						$result = dbquery("UPDATE ".DB_SERVICES." SET service_name='$service_name', service_item1='$service_item1', service_item2='$service_item2', service_item3='$service_item3' WHERE service_id='".$_GET['service_id']."'");
						redirect(FUSION_SELF.$aidlink."&status=edit");
						} else {
						$result = dbquery("INSERT INTO ".DB_SERVICES." (service_name, service_item1, service_item2, service_item3) VALUES ('$service_name', '$service_item1', '$service_item2', '$service_item3')");
						redirect(FUSION_SELF.$aidlink."&status=go");
						}
						redirect(FUSION_SELF.$aidlink);
				}
				
				}
	
	
if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['service_id']) && isnum($_GET['service_id']))) {
	
			$result = dbquery("SELECT * FROM ".DB_SERVICES." WHERE service_id='".$_GET['service_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$service_name = $data['service_name'];
				$service_item1 = $data['service_item1'];
				$service_item2 = $data['service_item2'];
				$service_item3 = $data['service_item3'];
				$formb_title = $locale['ser_015'];
				$form_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;service_id=".$data['service_id'];
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
			} else {
				$service_name = "";
				$service_item1 = "";
				$service_item2 = "";
				$service_item3 = "";
				$formb_title = $locale['ser_015'];
				$form_action = FUSION_SELF.$aidlink;
			}
		
			$formc_title = $locale['ser_016'];

			opentable((isset($_GET['action']) && $_GET['action'] == "edit" ? "".$formb_title."" : "".$formc_title.""));
			echo "<form name='services_form' method='post' action='$form_action' onsubmit='return ValidateForm(this);'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='600'  class='tbl-border center' >\n<tr>\n";
			echo "<td class='tbl' width='50%'>".$locale['ser_017'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='service_name' value='".$service_name."' class='textbox' style='width:235px' /></td>\n";
			echo "</tr>\n<tr>\n";
			if($services_settings['service_item1_name'] !=="") {
			echo "<td class='tbl'>".$services_settings['service_item1_name'].":</td>\n";
			echo "<td  align='left' class='tbl'><select name='service_item1' class='textbox'>\n";
			echo "<option value='0'".($service_item1 == "0" ? " selected='selected'" : "").">".$locale['ser_006']."</option>\n";
			echo "<option value='1'".($service_item1 == "1" ? " selected='selected'" : "").">".$locale['ser_007']."</option>\n";
			echo "</select></td></tr><tr>\n";
			}
			if($services_settings['service_item2_name'] !=="") {
			echo "<td class='tbl'>".$services_settings['service_item2_name'].":</td>\n";
			echo "<td  align='left' class='tbl'><select name='service_item2' class='textbox'>\n";
			echo "<option value='0'".($service_item2 == "0" ? " selected='selected'" : "").">".$locale['ser_006']."</option>\n";
			echo "<option value='1'".($service_item2 == "1" ? " selected='selected'" : "").">".$locale['ser_007']."</option>\n";
			echo "</select></td></tr><tr>\n";
			}
			if($services_settings['service_item3_name'] !=="") {
			echo "<td class='tbl'>".$services_settings['service_item3_name'].":</td>\n";
			echo "<td  align='left' class='tbl'><select name='service_item3' class='textbox'>\n";
			echo "<option value='0'".($service_item3 == "0" ? " selected='selected'" : "").">".$locale['ser_006']."</option>\n";
			echo "<option value='1'".($service_item3 == "1" ? " selected='selected'" : "").">".$locale['ser_007']."</option>\n";
			echo "</select></td></tr><tr>\n";
			}
			echo "<td align='center' colspan='2' class='tbl'><br />\n";
			echo "<input type='submit' name='go' value='".$locale['ser_020']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();

			opentable($locale['ser_021']);
		
			$rows = dbcount("(service_id)", DB_SERVICES);

			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

			if ($rows != 0) {

			echo"<table cellpadding='0' cellspacing='2' width='90%' align='center' class='tbl-border'>
			<tr>
			<td class='side'>".$locale['ser_017']."</td>\n";
			if($services_settings['service_item1_name'] !=="") {
			echo"<td class='side' align='center'><strong>".$services_settings['service_item1_name']."</strong></td>\n";
			}
			if($services_settings['service_item2_name'] !=="") {
			echo"<td class='side' align='center'><strong>".$services_settings['service_item2_name']."</strong></td>\n";
			}
			if($services_settings['service_item3_name'] !=="") {
			echo"<td class='side' align='center'><strong>".$services_settings['service_item3_name']."</strong></td>\n";
			}
			echo"<td class='side' align='center'><strong>".$locale['ser_022']."</strong></td>\n";
			echo"</tr>";

			$result = dbquery("SELECT * FROM  ".DB_SERVICES."  ORDER BY service_id ASC LIMIT ".$_GET['rowstart'].",20");
			$i = 0;
			while ($data = dbarray($result)) {

			echo"<tr>
			<td class='tbl'>".$data['service_name']."</td>";
			if($services_settings['service_item1_name'] !=="") {
			echo"<td class='tbl' align='center'>".(($data['service_item1'] ==0) ? "<img class='ser-img' src='".INFUSIONS."services_panel/images/cross.png' alt='".$locale['ser_006']."' title='".$locale['ser_006']."' />" : "<img class='ser-img' src='".INFUSIONS."services_panel/images/tick.png' alt='".$locale['ser_007']."' title='".$locale['ser_007']."' />")."</td>";
			}
			if($services_settings['service_item2_name'] !=="") {
			echo"<td class='tbl' align='center'>".(($data['service_item2'] ==0) ? "<img class='ser-img' src='".INFUSIONS."services_panel/images/cross.png' alt='".$locale['ser_006']."' title='".$locale['ser_006']."' />" : "<img class='ser-img' src='".INFUSIONS."services_panel/images/tick.png' alt='".$locale['ser_007']."' title='".$locale['ser_007']."' />")."</td>";
			}
			if($services_settings['service_item3_name'] !=="") {
			echo"<td class='tbl' align='center'>".(($data['service_item3'] ==0) ? "<img class='ser-img' src='".INFUSIONS."services_panel/images/cross.png' alt='".$locale['ser_006']."' title='".$locale['ser_006']."' />" : "<img class='ser-img' src='".INFUSIONS."services_panel/images/tick.png' alt='".$locale['ser_007']."' title='".$locale['ser_007']."' />")."</td>";
}
			echo"<td align='center'  class='tbl'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;service_id=".$data['service_id']."'>".$locale['ser_023']."</a> -\n
			<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;service_id=".$data['service_id']."' onclick=\"return confirm('".$locale['ser_025']."');\">".$locale['ser_024']."</a></td>\n
			</tr>\n";
				
				$i++;
		}

			echo "</table>\n";
			} else {
			echo "<div align='center' style=';margin-top:5px;'>".$locale['ser_026']."</div>\n";
		}
		
		if (($rows) > 20) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }

		closetable(); 

	add_to_footer("<script type='text/javascript'>
	function ValidateForm(frm) {
		if(frm.service_name.value=='') {
			alert('".$locale['ser_027']."');
			return false;
		}	
	}
	</script>");
	
require_once THEMES."templates/footer.php";
?>