<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  PHP-Fusion Mods UK
| Developers: Craig
| Support: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."services_panel/infusion_db.php";
if (file_exists(INFUSIONS."services_panel/locale/".$settings['locale'].".php")) {
		include INFUSIONS."services_panel/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."services_panel/locale/English.php";
	}

// Infusion general information
$inf_title = $locale['ser_title'];
$inf_description = $locale['ser_desc'];
$inf_version = "2.00";
$inf_developer = "PHP-Fusion Mods UK";
$inf_email = "admin@phpfusionmods.co.uk";
$inf_weburl = "http://www.phpfusionmods.co.uk";
$inf_folder = "services_panel";


$inf_newtable[1] = DB_SERVICES." (
service_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
service_name VARCHAR(45) NOT NULL DEFAULT '',
service_item1 TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
service_item2 TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
service_item3 TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (service_id)
) ENGINE=MyISAM;";


$inf_newtable[2] = DB_SERVICES_SETTINGS." (
service_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
service_panelcap TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
service_intro TEXT NOT NULL,
service_item1_name VARCHAR(50) NOT NULL DEFAULT '',
service_item2_name VARCHAR(50) NOT NULL DEFAULT '',
service_item3_name VARCHAR(50) NOT NULL DEFAULT '',
service_item1_price VARCHAR(8) NOT NULL DEFAULT '',
service_item2_price VARCHAR(8) NOT NULL DEFAULT '',
service_item3_price VARCHAR(8) NOT NULL DEFAULT '',
service_gradient1_start VARCHAR(6) NOT NULL DEFAULT '',
service_gradient1_end VARCHAR(6) NOT NULL DEFAULT '',
service_table_colour VARCHAR(6) NOT NULL DEFAULT '',
service_font_colour1 VARCHAR(6) NOT NULL DEFAULT '',
service_font_shadow_colour VARCHAR(6) NOT NULL DEFAULT '',
service_font_colour2 VARCHAR(6) NOT NULL DEFAULT '',
service_tbody_td_colour VARCHAR(6) NOT NULL DEFAULT '',
service_price_colour VARCHAR(6) NOT NULL DEFAULT '',
service_price_shadow_colour VARCHAR(6) NOT NULL DEFAULT '',
service_price_hover_colour VARCHAR(6) NOT NULL DEFAULT '',
service_price_shadow_hover_colour VARCHAR(6) NOT NULL DEFAULT '',
PRIMARY KEY (service_enable)
) ENGINE=MyISAM;";


$inf_insertdbrow[1] = DB_SERVICES." (service_id, service_name, service_item1, service_item2, service_item3)";


$inf_insertdbrow[2] = DB_SERVICES_SETTINGS." (service_enable, service_panelcap, service_intro,  service_item1_name, service_item2_name, service_item3_name, service_item1_price, service_item2_price, service_item3_price, service_gradient1_start, service_gradient1_end, service_table_colour, service_font_colour1, service_font_shadow_colour, service_font_colour2, service_tbody_td_colour, service_price_colour, service_price_shadow_colour, service_price_hover_colour, service_price_shadow_hover_colour) VALUES ('1', '1', '".$settings['sitename'].$locale['ser_001']."',  'Item 1', 'Item 2', 'Item 3', '', '', '', '7BC043', '9ED929', '7DB24E', 'FFFFFF', 'B8B8B8', 'EEEEEE', 'DEF3CA', '9CD009', 'E0E0E0', 'B7F400', 'ff0000')";


$inf_droptable[1] = DB_SERVICES;


$inf_droptable[2] = DB_SERVICES_SETTINGS;


$inf_adminpanel[1] = array(
	"title" => $locale['ser_title'],
	"image" => "",
	"panel" => "services_admin.php",
	"rights" => "SER"
);

?>