<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: services_panel.php
| Version: 2.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by tasking the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$services_yes = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='services_panel'");
if (dbrows($services_yes) > 0) {

if (file_exists(INFUSIONS."services_panel/locale/".$settings['locale'].".php")) {
		include INFUSIONS."services_panel/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."services_panel/locale/English.php";
	}
		include INFUSIONS."services_panel/infusion_db.php";
		
		$services_settings = dbarray(dbquery("SELECT * FROM ".DB_SERVICES_SETTINGS));
		
	$check_service_exists = dbquery("SELECT * FROM  ".DB_SERVICES."  WHERE service_name !=''");
	if (dbrows($check_service_exists) > 0 && $services_settings['service_enable'] ==1) {


	include INFUSIONS."services_panel/includes/services_styles.php";
	
	if ($services_settings['service_panelcap'] == 1) { opentable($locale['ser_021']); }
	echo"<div class='div-outer'>";
	
	$rows = dbcount("(service_id)", DB_SERVICES);

		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

		if ($rows != 0 || $services_settings['service_item1_name'] !=="" && $services_settings['service_item2_name'] !=="" && $services_settings['service_item3_name'] !=="") {

		
		if ($services_settings['service_intro'] !="") {
		$intro = nl2br(parseubb($services_settings['service_intro'], "color|b|i|u|small|url"));
		echo"<div  class='services-table2 center'>".$intro."</div>";
		}
		
		echo"<table class='services-table center'>
		<thead>
		<tr>
		<th id='item'>".$locale['ser_017']."</th>";
		if ($services_settings['service_item1_name'] !=="") {
		echo"<th  id='item1' scope='col' abbr='Service_Item1'>".$services_settings['service_item1_name']."</th>";
		}
		if ($services_settings['service_item2_name'] !=="") {
		echo"<th id='item2' scope='col' abbr='Service_Item2'>".$services_settings['service_item2_name']."</th>";
		}
		if ($services_settings['service_item3_name'] !=="") {
		echo"<th id='item3' scope='col' abbr='Service Item3'>".$services_settings['service_item3_name']."</th>";
		}
		echo"</tr>
		</thead>";

		$result = dbquery("SELECT * FROM  ".DB_SERVICES."  ORDER BY service_id ASC LIMIT ".$_GET['rowstart'].",20");
		$i = 0;
		if($services_settings['service_item1_price'] || $services_settings['service_item2_price'] || $services_settings['service_item3_price']) {
		
		echo"<tfoot>
		<tr>
		<th scope='row'>".$locale['ser_028']."</th>";
		if ($services_settings['service_item1_name'] !=="") {
		if($services_settings['service_item1_price']) {
		echo" <td>".$services_settings['service_item1_price']."</td>";
		}else{
		echo" <td>".$locale['ser_040']."</td>";
		}
		}
		if ($services_settings['service_item2_name'] !=="") {
		if($services_settings['service_item2_price']) {
		echo"<td>".$services_settings['service_item2_price']."</td>";
		}else{
		echo" <td>".$locale['ser_040']."</td>";
		}
		}
		if ($services_settings['service_item3_name'] !=="") {
		if($services_settings['service_item3_price']) {
		echo"<td>".$services_settings['service_item3_price']."</td>";
		}else{
		echo" <td>".$locale['ser_040']."</td>";
		}
		}
		echo"</tr>
		</tfoot>";
		}
		
		while ($data = dbarray($result)) {

		echo"<tbody>
		<tr>
		<th scope='row'>".$data['service_name']."</th>";
		if ($services_settings['service_item1_name'] !=="") {
		echo (($data['service_item1'] ==0) ? "<td><span title='".$locale['ser_006'] ."' class='naw'></span></td>" : "<td><span title='".$locale['ser_007'] ."' class='aye'></span></td>");
		}
		if ($services_settings['service_item2_name'] !=="") {
		echo (($data['service_item2'] ==0) ? "<td><span title='".$locale['ser_006'] ."' class='naw'></span></td>" : "<td><span title='".$locale['ser_007'] ."' class='aye'></span></td>");
		}
		if ($services_settings['service_item3_name'] !=="") {
		echo (($data['service_item3'] ==0) ? "<td><span title='".$locale['ser_006'] ."' class='naw'></span></td>" : "<td><span title='".$locale['ser_007'] ."' class='aye'></span></td>");
		}
		echo"</tr>";
			
			$i++;
	}

		echo "</tbody>\n
			</table>\n";
		
		} else {
		echo "<div align='center' style='margin-top:5px;'>".$locale['ser_026']."</div>\n";
	}
	echo"</div>\n";
	
	if (($rows) > 20) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }

	if ($services_settings['service_panelcap'] == 1) { closetable(); }

}
}
?>